use AMF::Tests;

eval " use AMF::Parser; ";
test not $@;


my $res = amf_open_file( 'testsuite/6.xml' );
test $res;


my $slofi = amf_get_next_record();

test $slofi;

use Data::Dumper;

print Dumper( $slofi );

my @r = $slofi -> get_value( 'file/url' );

test scalar @r;
test scalar @r == 1;

print "URL: ", $r[0], "\n";

test $r[0] eq 'http://www.slofi.com/pub/chapter1.pdf';


@r = $slofi -> get_value( 'file/url/@xml:lang' );

test scalar @r;
test scalar @r == 1;

print "lang: ", $r[0], "\n";

test $r[0] eq 'en';



__END__


